<?php
// controlleurs/c_paratge.php
require_once './model/partageDonneeModel.php';

class paratgeController {
    public function index() {
        // Vérifier si l'utilisateur est connecté
        if (session_status() == PHP_SESSION_NONE) {
            session_start();
        }
        if (!isset($_SESSION["user_id"])) {
            // Rediriger vers la page de connexion
            header("Location: index.php");
            exit;
        }

        // Afficher la vue des visiteurs
        include "./vues/partage/V_index.php";
    }
    public function partagerSonInfo() {
        include "./vues/partage/v_partagerSonInfo.php";
        $PartageDonneeModel = new PartageDonnee();
        $partage = $PartageDonneeModel->partagerSonInfo();
        // Charger la vue correspondante
        
    }

    public function publicationUser() {
        $type1="astuce";
        $type2="culture";
        $type3="idee";
            // Utilisez les types dans les instanciation aproprier
        $PartageDonneeModel = new PartageDonnee();
        $publicationUserData1 = $PartageDonneeModel->fetchPublicationUser($type1); 
        $publicationUserData2 = $PartageDonneeModel->fetchPublicationUser($type2);
        $publicationUserData3 = $PartageDonneeModel->fetchPublicationUser($type3);
        // Charger la vue correspondante
        include "./vues/partage/v_publicationUser.php";
    }
    public function deletePublication() {
        // Vérifier l'authentification de l'utilisateur et récupérer l'ID de l'utilisateur connecté
        $userId = $_SESSION['id'];
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $publicationId = $_GET['publication_numero']; // recupération l'ID de la publication depuis l'URL
    
        // Appeler la fonction du modèle pour supprimer la publication
        $PartageDonneeModel = new PartageDonnee();
        $mecaniqueData = $PartageDonneeModel->deletePublication($type, $userId, $publicationId);
        include "./vues/partage/v_publicationUser.php";
    }

    public function mecanique() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
            // Utilisez la valeur de $categorie selon vos besoins
        $PartageDonneeModel = new PartageDonnee();
        $mecaniqueData = $PartageDonneeModel->fetchMecanique($type);
        // Charger la vue correspondante
        include "./vues/partage/v_mecanique.php";
    }
    
    public function bricolage() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $bricolageData = $PartageDonneeModel->fetchBricolage($type);
        // Charger la vue correspondante
        include "./vues/partage/v_bricolage.php";
    }


    public function sport() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $sportData = $PartageDonneeModel->fetchSport($type);
        // Charger la vue correspondante
        include "./vues/partage/v_sport.php";
    }

    public function cuisine() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $cuisineData = $PartageDonneeModel->fetchCuisine($type);
        // Charger la vue correspondante
        include "./vues/partage/v_cuisine.php";
    }

    public function social() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $socialData = $PartageDonneeModel->fetchSocial($type);
        // Charger la vue correspondante
        include "./vues/partage/v_social.php";
    }

    public function relation() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $relationData = $PartageDonneeModel->fetchRelation($type);
        // Charger la vue correspondante
        include "./vues/partage/v_relation.php";
    }

    public function decouverteLieu() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $decouverteLieuData = $PartageDonneeModel->fetchDecouverteLieu($type);
        // Charger la vue correspondante
        include "./vues/partage/v_decouverteLieu.php";
    }
    public function biodiversite() {
        $type = isset($_GET['categorie']) ? $_GET['categorie'] : '';
        $PartageDonneeModel = new PartageDonnee();
        $biodiversiteData = $PartageDonneeModel->fetchBiodiversite($type);
        // Charger la vue correspondante
        include "./vues/partage/v_biodiversite.php";
    }
}
?> 